Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.common
Class ObjectReferenceAttributeValue

    java.lang.Object
      oracle.ifs.common.ReferenceAttributeValue
          oracle.ifs.common.ObjectReferenceAttributeValue

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class ObjectReferenceAttributeValue

extends ReferenceAttributeValue

This feature is not supported in Beta2.

A ObjectReferenceAttributeValue represents the value of an ObjectReference Attribute of a LibraryObject.

See Also:
  Serialized Form
(Unpublished)

Field Summary
`protected java.lang.Long` | `m_ReferenceId` The reference ID that represents this value in the database.
`protected java.io.Serializable` | `m_Value` The Serializable value.

Fields inherited from class oracle.ifs.common.ReferenceAttributeValue
`m_Name`

Constructor Summary
`ObjectReferenceAttributeValue()` Construct a new ObjectReferenceAttributeValue.
`ObjectReferenceAttributeValue(java.lang.String name)` Constructs a new ObjectReferenceAttributeValue with the name set.
`ObjectReferenceAttributeValue(java.lang.String name, java.io.Serializable value)` Constructs a new ObjectReferenceAttributeValue with the name and value set.

Method Summary
`java.io.Serializable` | `getValue()` get the Serializable value of the ObjectReferenceAttributeValue.
`void` | `setValue(java.io.Serializable value)` set the Serializable value of the ObjectReferenceAttributeValue.

Methods inherited from class oracle.ifs.common.ReferenceAttributeValue
`getName, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_Value

    protected java.io.Serializable m_Value

  Description copied from class: `ObjectReferenceAttributeValue`
  The Serializable value.

  (Unpublished)

### m_ReferenceId

    protected java.lang.Long m_ReferenceId

  Description copied from class: `ObjectReferenceAttributeValue`
  The reference ID that represents this value in the database.

  (Unpublished)

Constructor Detail

### ObjectReferenceAttributeValue

    public ObjectReferenceAttributeValue()
                                  throws IfsException

  Construct a new ObjectReferenceAttributeValue.

  Throws:
    `IfsException` - if the operation fails
  (Published)

### ObjectReferenceAttributeValue

    public ObjectReferenceAttributeValue(java.lang.String name)
                                  throws IfsException

  Constructs a new ObjectReferenceAttributeValue with the name set.

  Parameters:
    `name` - the Attribute name
  Throws:
    `IfsException` - if the operation fails
  (Published)

### ObjectReferenceAttributeValue

    public ObjectReferenceAttributeValue(java.lang.String name,
                                         java.io.Serializable value)
                                  throws IfsException

  Constructs a new ObjectReferenceAttributeValue with the name and value set.

  Parameters:
    `name` - the Attribute name
  Throws:
    `IfsException` - if the operation fails
  (Published)

Method Detail

### getValue

    public java.io.Serializable getValue()
                                  throws IfsException

  Description copied from class: `ObjectReferenceAttributeValue`
  get the Serializable value of the ObjectReferenceAttributeValue.

  Returns:
    value of the ObjectReferenceAttributeValue.
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setValue

    public void setValue(java.io.Serializable value)
                  throws IfsException

  Description copied from class: `ObjectReferenceAttributeValue`
  set the Serializable value of the ObjectReferenceAttributeValue.

  Parameters:
    `value` - the ObjectReferenceAttributeValue value.
  Throws:
    `IfsException` - if the operation fails
  (Published)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD